com.collabnet.ce.soap60.webservices.tracker

## Class WorkflowTransition2SoapRow

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.tracker.WorkflowTransition2SoapRow

-     public class WorkflowTransition2SoapRow
      extends Object

  WorkflowList class represents a list of workflow transition definitions.
  Since:
    17.8

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkflowTransition2SoapRow()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getDisplayOrder()` Returns 'displayOrder'.
    `String` | `getFromStatusName()` Returns 'fromStatusName'.
    `String[]` | `getHiddenFields()` Returns 'hiddenFields'.
    `String[]` | `getRequiredFields()` Returns 'requiredFields'.
    `String` | `getToStatusName()` Returns 'toStatusName'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setDisplayOrder(Integer displayOrder)` Sets 'displayOrder'.
    `void` | `setFromStatusName(String fromStatusName)` Sets 'fromStatusName'.
    `void` | `setHiddenFields(String[] hiddenFields)` Sets 'hiddenFields'.
    `void` | `setRequiredFields(String[] requiredFields)` Sets 'requiredFields'.
    `void` | `setToStatusName(String toStatusName)` Sets 'toStatusName'.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkflowTransition2SoapRow

          public WorkflowTransition2SoapRow()

  - ### Method Detail

    - #### getFromStatusName

          public String getFromStatusName()

      Returns 'fromStatusName'. Display name of the final value
      Returns:
        Value of 'fromStatusName'.

    - #### setFromStatusName

          public void setFromStatusName(String fromStatusName)

      Sets 'fromStatusName'. Display name of the final value
      Parameters:
        `fromStatusName` - Value of 'fromStatusName'.

    - #### getToStatusName

          public String getToStatusName()

      Returns 'toStatusName'. Display name of the final value
      Returns:
        Value of 'toStatusName'.

    - #### setToStatusName

          public void setToStatusName(String toStatusName)

      Sets 'toStatusName'. Display name of the final value
      Parameters:
        `toStatusName` - Value of 'toStatusName'.

    - #### getDisplayOrder

          public Integer getDisplayOrder()

      Returns 'displayOrder'. Display order of this transition
      Returns:
        Value of 'displayOrder'.

    - #### setDisplayOrder

          public void setDisplayOrder(Integer displayOrder)

      Sets 'displayOrder'. Display order of this transition
      Parameters:
        `displayOrder` - Value of 'displayOrder'.

    - #### getRequiredFields

          public String[] getRequiredFields()

      Returns 'requiredFields'.
      Returns:
        Value of 'requiredFields'.

    - #### setRequiredFields

          public void setRequiredFields(String[] requiredFields)

      Sets 'requiredFields'.
      Parameters:
        `requiredFields` - Value of 'requiredFields'.

    - #### getHiddenFields

          public String[] getHiddenFields()

      Returns 'hiddenFields'.
      Returns:
        Value of 'hiddenFields'.

    - #### setHiddenFields

          public void setHiddenFields(String[] hiddenFields)

      Sets 'hiddenFields'.
      Parameters:
        `hiddenFields` - Value of 'hiddenFields'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2019 CollabNet. All rights reserved.